Bug 141286 - RHEL3-AS Update 3 for x86_64 contains pxeboot initrd for ia32e architecture
RHEL3-AS Update 3 for x86_64 contains pxeboot initrd for ia32e architecture
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 21:57 EST by Adam Harvie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 13:43:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Harvie 2004-11-29 21:57:10 EST
Description of problem:
Both RedHat Enterprise Linux 3 Advanced Server and RedHat Enterprise
Linux 3 Workstation for x86_64 CDs contain an
images/pxeboot/initrd.img that is for the ia32e architecture (should
be the x86_64 architecture).

Version-Release number of selected component (if applicable):
RedHat Enterprise Linux 3 Advanced Server (Taroon Update 3)
RedHat Enterprise Linux 3 Workstation (Taroon Update 3)

How reproducible:
Extract the files in the initrd.img. 

Steps to Reproduce:
1. Go to
https://listman.redhat.com/archives/kickstart-list/2002-June/msg00001.html
for instructions on how to extract files from the initrd.img file.
  
Actual results:
The file etc/arch is ia32e and the modules.cgz file (when extracted)
has a ia32e directory structure.

Expected results:
The file etc/arch hould be x86_64 and the modules.cgz file (when
extracted) should have a x86_86 directory structure.

Additional info:
Changing the etc/arch and the modules.cgz file to x86_64 allowed a pxe
installation of both operating systems - provided that the ext2
filesystem was used for all partitions (instead of ext3).
I hope that ext3 will work with the correct initrd.
Comment 1 Tim Powers 2004-11-30 09:44:38 EST
Changing component to anaconda and reassigning to the owner of anaconda.
Comment 2 Jeremy Katz 2004-11-30 13:43:06 EST
This is intentional.  The ia32e kernel will run on amd64 systems while
the x86_64 kernel won't run on both.

Note You need to log in before you can comment on or make changes to this bug.